{{!-- {{log "item-browser.hbs" this}} --}}
<div class="item-browser-sheet">

    <div class="general-header" style="display: flex;justify-content: space-between;align-items: center;">
        {{localize "ARS.item-browser"}}
        <div class="refresh-compendiums">
            <i class="fas fa-sync-alt" data-tooltip="ARS.itembrowser.refreshCompendiums"></i>
        </div>
    </div>
    <fieldset class="search-filters-box">
        <div class="general-subheader filter-titles flexrow">
            <div class="filter-item-type">Type</div>
            <div class="filter-source">Source</div>
            <div class="filter-name">Name</div>
            {{!-- <div>Description</div> --}}
            <div class="filter-search"></div>
        </div>

        <div class="filter-fields">
            <div class="flexrow">
                <div class="filter-item-type">
                    <select class="filter-item-type" name="item-type">
                        {{!-- {{#select 'item-type'}}
                        <option value="{{filters.type}}">{{capfirst (localize filters.type)}}</option>
                        {{#each @root.documentTypes}}
                        <option value="{{this}}">{{capfirst (localize this)}}</option>
                        {{/each}}
                        {{/select}} --}}

                        <option value="{{filters.type}}">{{capfirst (localize filters.type)}}</option>
                        {{selectOptions @root.documentTypes selected=item-type localize=true}}
                    </select>
                </div>
                <div class="filter-source">
                    <select class="filter-source" name="filter-source">
                        <option value="{{filters.source}}">{{localize filters.sourceName}}</option>
                        {{selectOptions sourceList selected=filter-source valueAttr="value" labelAttr="label" localize=true}}
                    </select>
                </div>
                <div class="filter-name"><input name="filter-name" type="text" value="{{filters.general.name}}" placeholder="Search name" /></div>
                {{!-- <div><input name="filter-description" type="text" value="{{filters.general.descriptiopn}}" placeholder="Search description" />
                </div> --}}
                <div class="filter-search"><i class='fas fa-search'></i></div>
            </div>
            {{#each (lookup filters filters.type) as |search field|}}
            {{!-- {{log "item-browser.hbs search" search}}
            {{log "item-browser.hbs field" field}} --}}
            <div class="flexrow">
                <div class="field-item-fieldname">{{field}}</div>
                <div class="filter-field-{{removedots field}}">
                    <input name="filter-field-{{removedots field}}" type="text" value="{{search.value}}" placeholder="Search {{field}}" />
                </div>
            </div>
            {{/each}}

        </div>
    </fieldset>

    {{!-- <fieldset style="padding: 5px; overflow:scroll; height:600px;" class="item-list"> --}}
    <fieldset style="width: 100%; padding: 6px;" class="item-list info-helper-enabled" data-info-type="item">
        <div class="item">
            <div class="flexrow">
                <div class="item-image"></div>
                <div class="filter-name">NAME</div>
                {{#each (lookup @root.filters @root.filters.type) as |search field|}}
                <div class="item-filter-header item-filter-header-{{removedots field}}" data-tooltip="{{ field }}">
                    <div>{{localize (concat "ARS.itembrowser." field) }}</div>
                </div>
                {{/each}}
                {{#includes @root.filters.type 'skill||spell'}}
                {{else}}
                <div class="item-wt">WEIGHT</div>
                {{/includes}}
                {{#ifnoteq @root.filters.type 'skill'}}
                <div class="item-cost">COST</div>
                {{/ifnoteq}}
                <div class="item-list-controls"></div>
            </div>
        </div>

        {{#each items as |item idx|}}
        {{!-- {{log "item-browser.hbs @root.filters.type:" @root.filters.type}} --}}
        <li class="item info-item {{#if (ne @root.filters.type 'all') }}with-borders{{/if}} item-entries flexrow" data-id="{{item.id}}"
            data-uuid="{{item.uuid}}" data-pack="{{item.pack}}">

            <div class="item-image"><img src="{{item.img}}" data-tooltip="{{item.name}}" /></div>

            <div class="filter-name item-edit rollable" data-tooltip="Source, {{#if item.pack}}Compendium: {{item.pack}}{{else}}World{{/if}}">
                {{item.name}}
            </div>

            {{#each (lookup @root.filters @root.filters.type) as |search field|}}
            <div class="item-filter-value item-filter-{{removedots field}}">
                <div class="text-trunc" data-tooltip="{{getproperty item.system field}}">
                    {{getproperty item.system field}}</div>
            </div>
            {{/each}}

            {{#includes item.type 'skill||spell'}}
            {{else}}
            <div class="item-wt" data-tooltip="{{localize "ARS.weight"}}">
                {{item.system.weight}}
            </div>
            {{/includes}}

            {{#if (eq @root.filters.type 'skill')}}
            {{else}}
            <div class="item-cost" data-tooltip="{{localize "ARS.cost"}}">
                {{item.retail}} {{item.system.cost.currency}}
            </div>
            {{/if}}
            <div class="item-list-controls flexrow">
                <a class="item-edit" data-tooltip="Examine item"><i class="fas fa-edit"></i></a>
                <a class="item-take" data-tooltip="Take item"><i class='fas fa-hand-paper'></i></a>
                <a class="item-buy" data-tooltip="Buy item"><i class='fa-solid fa-coins'></i></a>
            </div>
        </li>
        {{/each}}
    </fieldset>
</div>